package playground_osgi;

import java.util.Dictionary;
import java.util.Hashtable;
import org.osgi.service.component.ComponentFactory;

public class C {

	private ComponentFactory componentFactoryA;
	private ComponentFactory componentFactoryB;

	public void activate() {
		for (int i = 1; i < 5; i++) {
			Dictionary<String, String> properties = new Hashtable<String, String>();
			String nameB = "B_" + i;
			properties.put("name", nameB);
			componentFactoryB.newInstance(properties);
			properties.put("name", "A_" + i);
			properties.put("B.target", "(name=" + nameB + ")");
			componentFactoryA.newInstance(properties);
		}
	}

	public void onComponentFactoryAUp(ComponentFactory componentFactory) {
		this.componentFactoryA = componentFactory;
	}

	public void onComponentFactoryBUp(ComponentFactory componentFactory) {
		this.componentFactoryB = componentFactory;
	}

}
